# PhasicFlow: rotatingAxisMotion::Model Class Reference

rotatingAxisMotion::Model Class Reference

Motion model class to be passed to computational units/kernels for transfing points and returning velocities at various positions. More...

## Public Member Functions

INLINE_FUNCTION_HD | Model (deviceViewType1D< rotatingAxis > axis, int32 numAxis)
INLINE_FUNCTION_HD | Model (const Model &)=default
INLINE_FUNCTION_HD Model & | operator= (const Model &)=default
INLINE_FUNCTION_HD realx3 | pointVelocity (int32 n, const realx3 &p) const
INLINE_FUNCTION_HD realx3 | operator() (int32 n, const realx3 &p) const
INLINE_FUNCTION_HD realx3 | transferPoint (int32 n, const realx3 p, real dt) const
INLINE_FUNCTION_HD int32 | numComponents () const

## Protected Attributes

deviceViewType1D< rotatingAxis > | axis_
int32 | numAxis_ =0

## Detailed Description

Motion model class to be passed to computational units/kernels for transfing points and returning velocities at various positions.

Definition at line 72 of file rotatingAxisMotion.hpp.

## Constructor & Destructor Documentation

## Model() [1/2]

INLINE_FUNCTION_HD Model | ( | deviceViewType1D< rotatingAxis > | axis,
|  | int32 | numAxis
| ) |  |

inline

Definition at line 82 of file rotatingAxisMotion.hpp.

## Model() [2/2]

INLINE_FUNCTION_HD Model | ( | const Model & |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_HD Model& operator= | ( | const Model & |  | ) |

default

## pointVelocity()

INLINE_FUNCTION_HD realx3 pointVelocity | ( | int32 | n,
|  | const realx3 & | p
| ) |  | const

inline

Definition at line 96 of file rotatingAxisMotion.hpp.

References rotatingAxisMotion::Model::axis_, and n.

Referenced by rotatingAxisMotion::Model::operator()().

Here is the caller graph for this function:

## operator()()

INLINE_FUNCTION_HD realx3 operator() | ( | int32 | n,
|  | const realx3 & | p
| ) |  | const

inline

Definition at line 102 of file rotatingAxisMotion.hpp.

References n, and rotatingAxisMotion::Model::pointVelocity().

Here is the call graph for this function:

## transferPoint()

INLINE_FUNCTION_HD realx3 transferPoint | ( | int32 | n,
|  | const realx3 | p,
|  | real | dt
| ) |  | const

inline

Definition at line 108 of file rotatingAxisMotion.hpp.

References rotatingAxisMotion::Model::axis_, n, and rotate().

Here is the call graph for this function:

## numComponents()

INLINE_FUNCTION_HD int32 numComponents | ( |  | ) | const

inline

Definition at line 113 of file rotatingAxisMotion.hpp.

References rotatingAxisMotion::Model::numAxis_.

## Member Data Documentation

## axis_

deviceViewType1D<rotatingAxis> axis_

protected

Definition at line 76 of file rotatingAxisMotion.hpp.

Referenced by rotatingAxisMotion::Model::pointVelocity(), and rotatingAxisMotion::Model::transferPoint().

## numAxis_

int32 numAxis_ =0

protected

Definition at line 77 of file rotatingAxisMotion.hpp.

Referenced by rotatingAxisMotion::Model::numComponents().

The documentation for this class was generated from the following file:

- src/MotionModel/rotatingAxisMotion/rotatingAxisMotion.hpp